import Sequelize from 'sequelize';

const { Op } = Sequelize;

export const batchApiKeys = async (keys, models) => {
  const apiKeys = await models.ApiKey.findAll({
    where: {
      id: {
        [Op.in]: keys,
      },
    },
  });
  return keys.map(key => apiKeys.find(item => item.id === key));
};
