import Sequelize from 'sequelize';

const { Op } = Sequelize;

export const batchUsers = async (keys, models) => {
  const users = await models.User.findAll({
    where: {
      id: {
        [Op.in]: keys,
      },
    },
  });
  return keys.map(key => users.find(item => item.id === key));
};
