const bcAuthSecret = (sequelize, DataTypes) => {
  return sequelize.define('bcAuthSecret', {
    randomBytes: {
      type: DataTypes.CHAR(256),
      unique: true,
      allowNull: false,
      validate: {
        notEmpty: true,
      },
    },
    bcId: {
      type: DataTypes.CHAR(256),
      allowNull: false,
      validate: {
        notEmpty: true,
      },
    },
  },
  {
    freezeTableName: true,
  });
};

export default bcAuthSecret;
