import { PubSub } from 'apollo-server';

import * as API_KEYS_EVENTS from './apiKey';
import * as LIVENESS_EVENTS from './liveness';
import * as FACE_ACTIONS_EVENTS from './faceAction';
import * as LIVE_FACE_ACTIONS_EVENTS from './liveFaceAction';
import * as GROUP_EVENTS from './userGroups';
import * as GUEST_EVENTS from './guestAction';
import * as JOIN_REQUEST_EVENTS from './joinRequest';
import * as PERSON_EVENTS from './person';
import * as AUTH_PROJECT from './authProject';

export const EVENTS = {
  API_KEY: API_KEYS_EVENTS,
  LIVENESS: LIVENESS_EVENTS,
  FACE_ACTIONS: FACE_ACTIONS_EVENTS,
  LIVE_FACE_ACTIONS: LIVE_FACE_ACTIONS_EVENTS,
  GROUPS: GROUP_EVENTS,
  PERSON: PERSON_EVENTS,
  GUEST: GUEST_EVENTS,
  JOIN_REQUEST: JOIN_REQUEST_EVENTS,
  AUTH_PROJECT,
};

export default new PubSub();
