export const PASSWORD_MIN_LENGTH = 6;
export const PASSWORD_MAX_LENGTH = 42;
export const NEW_USER_API_KEYS_ACTIONS = 1000;
export const USER_ROLE_CLIENT = 0;
export const USER_ROLE_ADMIN = 1;
export const USER_ROLE_GOD = 10;
export const GROUP_NAME_MIN_LENGTH = 1;
export const GROUP_NAME_MAX_LENGTH = 100;
export const AUTH_PROJECT_NAME_MIN_LENGTH = 1;
export const AUTH_PROJECT_NAME_MAX_LENGTH = 100;
export const AUTH_PROJECT_CALLBACK_MIN_LENGTH = 0;
export const AUTH_PROJECT_CALLBACK_MAX_LENGTH = 100;
export const AUTH_SECRET_LENGTH = 32;
export const JOIN_STATE_NEW = 0;
export const JOIN_STATE_ACCEPTED = 1;
export const JOIN_STATE_DECLINED = 2;
export const JOIN_STATE_CANCELLED = 3;
export const KEY_TYPE_DEFAULT = 0;
export const KEY_TYPE_CUSTOM = 1;
export const KEY_STATE_DEACTIVATED = 0;
export const KEY_STATE_SILENT = 1;
export const KEY_STATE_ACTIVE = 2;
export const SESSION_JWK_TIMEOUT = '10000h';
export const LOG_SEP_PLUS = '+++++++++++++++++++++++++++++++++++';
export const {
  AWS_KEY_ID,
  AWS_SECRET,
  AWS_BUCKET_URL,
  AWS_BUCKET_NAME,
} = process.env;
export const AWS_PERSONS_PREFIX = 'persons/';
export const AES_CIPHER = 'aes-256-cbc';
export const SOCKET_COMMAND_ERROR = 'error';
export const SOCKET_COMMAND_READY = 'ready';
export const SOCKET_COMMAND_CHECK = 'check';
export const SOCKET_COMMAND_ENABLE = 'enable';
export const SOCKET_COMMAND_AUTH = 'auth';
export const SOCKET_COMMAND_BIO = 'bio';
export const SOCKET_COMMAND_BIO_AUTH = 'bioauth';
export const SOCKET_COMMAND_BLOCKCHAIN_AUTH = 'bcauth';

export const TEST_PAYMENTS = {
  1.99: {
    url: 'http://адрес_шкафа:8080/open/1/1',
    id: '12348ee0-68b9-4a6d-9d27-2990632dbe9a',
  },
  4.99: {
    url: 'http://адрес_шкафа:8080/open/1/2',
    id: '12348ee0-68b9-4a6d-9d27-2990632dbe9b',
  },
  7.99: {
    url: 'http://адрес_шкафа:8080/open/1/3',
    id: '12348ee0-68b9-4a6d-9d27-2990632dbe9c',
  },
  29.99: {
    url: 'http://адрес_шкафа:8080/open/1/4',
    id: '12348ee0-68b9-4a6d-9d27-2990632dbe9d',
  },
};

export const PAYMENT_ERRORS = {
  0: 'wrong payment amount',
  1: 'unknown person',
  2: 'wrong passcode',
  3: 'low balance',
  4: 'exception',
  5: 'blockchain error',
  6: 'access violation',
};
