import AWS from 'aws-sdk';
import * as constants from './constants';

AWS.config.update({
  accessKeyId: constants.AWS_KEY_ID,
  secretAccessKey: constants.AWS_SECRET,
});

export const S3 = new AWS.S3();
export const DEBUG = !!parseInt(process.env.DEBUG, 10);
