import Sequelize from 'sequelize';

const { Op } = Sequelize;

export const batchGroups = async (keys, models) => {
  const groups = await models.Group.findAll({
    where: {
      id: {
        [Op.in]: keys,
      },
    },
  });
  return keys.map(key => groups.find(item => item.id === key));
};
