import Sequelize from 'sequelize';

const { Op } = Sequelize;

export const batchPersons = async (keys, models) => {
  const persons = await models.Person.findAll({
    where: {
      id: {
        [Op.in]: keys,
      },
    },
  });
  return keys.map(key => persons.find(item => item.id === key));
};
