const serviceDocuments = (sequelize, DataTypes) => {
  return sequelize.define('documents', {
    image: {
      type: DataTypes.BLOB,
      unique: true,
      allowNull: false,
      validate: {
        notEmpty: true,
      },
    },
    result: {
      type: DataTypes.FLOAT,
      allowNull: true,
    },
  });
};

export default serviceDocuments;
